#include <bits/stdc++.h>
#define pii pair<int,int>
#define pb push_back
#define ll long long
using namespace std;

const int nmax=2e6;
vector<int>st,dr,answer;

vector<int> solve(vector<int>A) {
    int n=A.size();
    st.clear(),answer.clear(),dr.clear();
    int target_size=(n+1)/2;
    if(n==1){
        answer.pb(0);
        return answer;
    }
    for(int i=0;i<target_size-1;i++)
        st.pb(i);
    st.pb(n-1);
    for(int i=target_size-1;i<n-1;i++)
        dr.pb(i);
    for(int i:st)
        answer.pb(i);
    for(int i:dr)
        answer.pb(i);
    return answer;
}
